libmwaw_applepict1::Pixpattern Struct Reference

Internal and low level: a class used to read pack/unpack color pixmap (version 2) More...

## Public Member Functions

| Pixpattern ()
bool | read (MWAWInputStream &input)
| tries to read a pixpat More...

## Public Attributes

MWAWColor | m_color
| the color More...
int | m_pat [8]
| the pattern More...
shared_ptr< Pixmap > | m_pixmap
| the pixmap (if this is not an rgb color) More...

## Friends

std::ostream & | operator<< (std::ostream &o, Pixpattern const &f)
| operator<< for Pixmap More...

## Detailed Description

Internal and low level: a class used to read pack/unpack color pixmap (version 2)

## Constructor & Destructor Documentation

libmwaw_applepict1::Pixpattern::Pixpattern | ( |  | ) |

inline

## Member Function Documentation

bool libmwaw_applepict1::Pixpattern::read | ( | MWAWInputStream & | input | ) |

inline

tries to read a pixpat

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Pixpattern const & | f
| ) |  |

friend

operator<< for Pixmap

## Member Data Documentation

MWAWColor libmwaw_applepict1::Pixpattern::m_color

the color

Referenced by read().

int libmwaw_applepict1::Pixpattern::m_pat[8]

the pattern

Referenced by Pixpattern(), and read().

shared_ptr<Pixmap> libmwaw_applepict1::Pixpattern::m_pixmap

the pixmap (if this is not an rgb color)

Referenced by read().

The documentation for this struct was generated from the following file:

- MWAWPictMac.cxx